﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title-RaamatukoguAPP</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")

</head>
<body>
    <div class="container">
        @if (Request.IsAuthenticated)
        {
            Kasutaja kasutaja = Kasutaja.ByEmail(User.Identity.Name);
            if (kasutaja.KasutajaInRoll == null)
            {
                <nav class="navbar navbar-expand-lg navbar-light bg-light">
                    <a class="navbar-brand" href="/Home/Kasutaja">Menüü</a>
                    <button class="navbar-toggler" aria-expanded="false" aria-controls="navbarColor03" aria-label="Toggle navigation" type="button" data-target="#navbarColor03" data-toggle="collapse">
                        <span class="navbar-toggler-icon"></span>
                    </button>

                    <div class="collapse navbar-collapse" id="navbarColor03">

                        <ul class="navbar-nav mr-auto">

                            <li class="nav-item active">
                                <a class="nav-link" href=" Home/Index">Home </a>
                            </li>
                        </ul>
                        @Html.Partial("_LoginPartial")
                    </div>

                </nav>

            }
            if (kasutaja.KasutajaInRoll.Select(x => x.Roll.Nimetus).Contains("Admin"))
            {
                <nav class="navbar navbar-expand-lg navbar-light bg-light">
                    <a class="navbar-brand" href="/Home">Menüü</a>
                    <button class="navbar-toggler" aria-expanded="false" aria-controls="navbarColor03" aria-label="Toggle navigation" type="button" data-target="#navbarColor03" data-toggle="collapse">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarColor03">

                        <ul class="navbar-nav mr-auto">
                            <li class="nav-item">
                                <a class="nav-link" href="/Home/Muu">Esileht</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="/KasutajaInRolls/Index">Halda rolle</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="/Raamats/Index">Halda raamatuid</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="/Kasutajas/Index">Halda kontosid</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="/Home/Contact">Vaata teavitusi</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="/Home/Contact">Halda kasutusjuhendeid</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="/Kategoorias/Index">Halda kategooriad</a>
                            </li>
                        </ul>
                        @Html.Partial("_LoginPartial")
                    </div>

                </nav>

            }
            if (kasutaja.KasutajaInRoll.Select(x => x.Roll.Nimetus).Contains("Moderaator"))
            {
                <nav class="navbar navbar-expand-lg navbar-light bg-light">
                    <a class="navbar-brand" href="/Home">Menüü</a>
                    <button class="navbar-toggler" aria-expanded="false" aria-controls="navbarColor03" aria-label="Toggle navigation" type="button" data-target="#navbarColor03" data-toggle="collapse">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarColor03">
                        <ul class="navbar-nav mr-auto">
                            <li class="nav-item">
                                <a class="nav-link" href="/Home/Muu">Esileht</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="/Raamats/Index">Halda raamatuid</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="/Kasutajas/Index">Halda kontosid</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="/Home/Contact">Vaata teavitusi</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="/Home/Contact">Halda kasutusjuhendeid</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="/Kategoorias/Index">Halda kategooriad</a>
                            </li>
                        </ul>
                        @Html.Partial("_LoginPartial")
                    </div>
                </nav>

            }
            if (kasutaja.KasutajaInRoll.Select(x => x.Roll.Nimetus).Contains("Kasutaja") && Kasutaja.ByEmail(User.Identity.Name) != null)
            {
                <nav class="navbar navbar-expand-lg navbar-light bg-light">
                    <a class="navbar-brand" href="/Home/Kasutaja">Menüü</a>
                    <button class="navbar-toggler" aria-expanded="false" aria-controls="navbarColor03" aria-label="Toggle navigation" type="button" data-target="#navbarColor03" data-toggle="collapse">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarColor03">
                        <ul class="navbar-nav mr-auto">
                            <li class="nav-item">
                                <a class="nav-link" href="/Home/Kasutaja">Esileht</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="/Eksemplars/Index">Halda raamatuid</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="/Kasutajas/Index">Halda kontot</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="/Manage/ChangePassword">Halda parooli</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="/Silts/Index">Halda silte</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="/Home/Contact">Kasutusjuhend</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="/Lugemispäevik/Index">Lugemispäevik</a>
                            </li>
                        </ul>
                        @Html.Partial("_LoginPartial")
                    </div>
                </nav>


            }


        }

        @RenderBody()
        <hr />
        <footer>
            <p>&copy; @DateTime.Now.Year - RaamatukoguAPP</p>
        </footer>
        @Scripts.Render("~/bundles/jquery")
        @Scripts.Render("~/bundles/bootstrap")
        @RenderSection("scripts", required: false)
    </div>
</body>


</html>
